System.Core 3.5.0.0 4.0.0.0 System.Linq.Expressions.Expression System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/UnaryExpressionProxy))

The following table summarizes the factory methods that can be used to create a that has a specific node type.

Factory Method

In addition, the methods can also be used to create a . These factory methods can be used to create a of any node type that represents a unary operation. The parameter of these methods that is of type specifies the desired node type.

Represents an expression that has a unary operator.

- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the expression tree node can be reduced.

- Property
  3.5.0.0
  4.0.0.0
  System.Boolean To be added.

  An operator call is lifted if the operator expects a non-nullable operand but a nullable operand is passed to it.

  Gets a value that indicates whether the expression tree node represents a lifted call to an operator.

- Property
  3.5.0.0
  4.0.0.0
  System.Boolean To be added.

  An operator call is lifted if the operator expects a non-nullable operand but a nullable operand is passed to it. If the value of is true, the operator returns a nullable type and if the nullable operand evaluates to null, the operator returns null.

  Gets a value that indicates whether the expression tree node represents a lifted call to an operator whose return type is lifted to a nullable type.

- Property
  3.5.0.0
  4.0.0.0
  System.Reflection.MethodInfo To be added. To be added.

  Gets the implementing method for the unary operation.

- Property
  4.0.0.0
  System.Linq.Expressions.ExpressionType To be added. To be added.

  Returns the node type of this .

- Property
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  Gets the operand of the unary operation.

- Method
  4.0.0.0
  System.Linq.Expressions.Expression

  If the CanReduce method returns true, this should return a valid expression.

  This method can return another node which itself must be reduced.

  Reduces the expression node to a simpler expression.

  The reduced expression.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the static type of the expression that this represents.

- Method
  4.0.0.0
  System.Linq.Expressions.UnaryExpression `` To be added.

  Creates a new expression that is like this one, but using the supplied children. If all of the children are the same, it will return this expression.

  This expression if no children are changed or an expression with the updated children.

  The property of the result.